Bug 1280383 - Cancelling RHCI Deployment at "Select Cloud Infrastructure Products" page breaks Wizard UI
Cancelling RHCI Deployment at "Select Cloud Infrastructure Products" page bre...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: John Matthews
Antonin Pagac
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-11 10:35 EST by bmorriso
Modified: 2016-10-03 15:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:12:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHCI Wizard with missing breadcrumbs (41.07 KB, image/png)
2015-11-11 10:35 EST, bmorriso
no flags Details
Deployment page with empty deployment present (41.40 KB, image/png)
2015-11-11 10:35 EST, bmorriso
no flags Details

  None (edit)
Description bmorriso 2015-11-11 10:35:13 EST
Created attachment 1092798 [details]
RHCI Wizard with missing breadcrumbs

Description of problem:
If a user cancels an RHCI deployment at the "Select Cloud Infrastructure Products" page, and then starts a new RHCI deployment, the breadcrumbs at the top of the wizard pages disappear. See attached screenshot. 

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151104.t.0-RHCI-x86_64-dvd1.iso


How reproducible:
always

Steps to Reproduce:
1. Click "RHCI>New Deployment"
2. Click "Cancel"
3. Click "New Deployment"
4. Click "Next"

Actual results:
Breadcrumbs are missing from the Wizard UI

Expected results:
Breadcrumbs would be visible. 

Additional info:

After cancelling at the software selection page, you can see on the deployments page that there is an empty deployment now (see screenshot). You can return the UI to normal (and work around the issue) by refreshing the browser on the Deployments page. The empty deployment will disappear and the UI will return to normal.
Comment 1 bmorriso 2015-11-11 10:35 EST
Created attachment 1092799 [details]
Deployment page with empty deployment present
Comment 2 Jason Montleon 2015-12-18 11:49:32 EST
I do not see this happening. Can you verify it was fixed please.
Comment 3 Antonin Pagac 2016-01-11 03:56:03 EST
The UI is now different from when this bug was reported, I now cannot do new deployment and immediately click on the Next button, I must select a product to be deployed.
The issue should not be happening anymore, marking as verified.

RHCI-6.0-RHEL-7-20160107.t.1-RHCI-x86_64-dvd1.iso
Firefox 43.0.3

Note You need to log in before you can comment on or make changes to this bug.